Name:           cassandra
Version:        3.4
Release:        0%{?dist}
Summary:        OpenSource database Apache Cassandra

License:        ASL 2.0
URL:            http://cassandra.apache.org/
Source0:        https://github.com/apache/%{name}/archive/%{name}-%{version}.tar.gz
Source1: 	http://central.maven.org/maven2/org/apache/%{name}/%{name}-all/%{version}/%{name}-all-%{version}.pom

#fix encoding error
Patch0:		%{name}-build.patch

BuildArch:      noarch
BuildRequires:  maven-local

BuildRequires:  mvn(com.ning:compress-lzf)
BuildRequires:  mvn(com.github.jbellis:jamm)
BuildRequires:  mvn(org.fusesource:sigar)

# use hadoop-common instead of hadoop-core
#BuildRequires:  mvn(org.apache.hadoop:hadoop-core)
BuildRequires:  hadoop-common
BuildRequires:  hadoop-hdfs
BuildRequires:  hadoop-client
BuildRequires:  hadoop-common-native
BuildRequires:  hadoop-devel
BuildRequires:  hadoop-hdfs-fuse
BuildRequires:  hadoop-httpfs
BuildRequires:  hadoop-mapreduce
BuildRequires:  hadoop-mapreduce-examples
BuildRequires:  hadoop-maven-plugin
BuildRequires:  hadoop-tests
BuildRequires:  hadoop-yarn
BuildRequires:  hadoop-yarn-security

BuildRequires:  mvn(org.apache.hadoop:hadoop-common)
BuildRequires:  mvn(org.antlr:antlr)
BuildRequires:  mvn(com.googlecode.json-simple:json-simple)
BuildRequires:  mvn(org.apache.hadoop:hadoop-minicluster)
#BuildRequires:  mvn(com.boundary:high-scale-lib)
BuildRequires:  mvn(org.mindrot:jbcrypt)
BuildRequires:  mvn(com.clearspring.analytics:stream)
BuildRequires:  mvn(org.yaml:snakeyaml)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)
#BuildRequires:  mvn(io.dropwizard.metrics:metrics-core)
BuildRequires:  mvn(com.codahale.metrics:metrics-core)
BuildRequires:  mvn(org.slf4j:log4j-over-slf4j)
BuildRequires:  mvn(com.googlecode.concurrentlinkedhashmap:concurrentlinkedhashmap-lru)
#BuildRequires:  mvn(com.thinkaurelius.thrift:thrift-server)
#BuildRequires:  mvn(com.addthis.metrics:reporter-config3)
BuildRequires:  mvn(ch.qos.logback:logback-core)
BuildRequires:  mvn(ch.qos.logback:logback-classic)
BuildRequires:  mvn(org.apache.thrift:libthrift)
BuildRequires:  mvn(io.netty:netty-all)
BuildRequires:  mvn(net.jpountz.lz4:lz4)

%description
Cassandra is a partitioned row store. Rows are organized into tables with
a required primary key. Partitioning means that Cassandra can distribute your
data across multiple machines in an application-transparent matter. Cassandra
will automatically repartition as machines are added / removed from the cluster.
Row store means that like relational databases, Cassandra organizes data by
rows and columns. The Cassandra Query Language (CQL) is a close relative of SQL.
Database Pure Java Driver. It was developed specifically as a lightweight
JDBC connector for use with MySQL and MariaDB database servers.

%package        javadoc
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qcn %{name}-%{version}
cp -pr %{name}-%{name}-%{version}/* .
rm -r %{name}-%{name}-%{version}
cp -p $RPM_SOURCE_DIR/%{name}-all-%{version}.pom .

# apply patch
%patch0 -p1

%build
ant jar javadoc javadoc-jar 

%install
%mvn_artifact build/%{name}-%{version}-parent.pom
%mvn_artifact build/%{name}-%{version}.pom  build/%{name}-%{version}.jar
%mvn_artifact build/%{name}-thrift-%{version}.pom  build/%{name}-thrift-%{version}.jar
%mvn_artifact build/%{name}-clientutil-%{version}.pom  build/%{name}-clientutil-%{version}.jar

%mvn_install -J build/

%files -f .mfiles
%doc README.asc
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog

